Subject: error: unlink(.git/refs/remotes/origin/testbranch) failed: was remote does not support deleting refs

From: Martin <[email-masked]>
Date: Sun, 06 Jul 2008 02:20:18 +0200

Hi,

it seems that an old verison on the remote site was the problem:
On debian/etch git seems to be too old. I upgraded git to the testing 
version and now I can delete remote branches.

But I get another error:
$ git push origin :testbranch
To ssh://myserver.com/my/path/to/repository
  - [deleted]         testbranch
error: unlink(.git/refs/remotes/origin/testbranch) failed: No such file 
or directory
error: Failed to delete

Any idea?

Thanks,
Martin

Martin schrieb:
> Hi,
> 
> I tried to setup a central git repository. Access is via ssh.
> How do I delete a remote branch? If I try it using
>  > git branch -d -r origin/testbranch
>  > git push origin :refs/heads/testbranch
> I get the error
> 
> To ssh://myserver.com/my/path/to/repository
>  ! [rejected]        testbranch (remote does not support deleting refs)
> error: failed to push some refs to 
> 'ssh://myserver.com/my/path/to/repository'
> 
> So how do I setup my remote repository to allow deleting remote branches?
> 
> Thanks,
> Martin
> -- 
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>